-----------------------------------------------------------------
-- Procedure BuildTree                                         --
-----------------------------------------------------------------
-- Builds a decision tree using the ID3 method (Quinlan, 1986) --
-----------------------------------------------------------------
-- PURE sample dataset                                         --
-----------------------------------------------------------------
-- (c) 2001 J. Darmont, ERIC, University of Lyon 2             --
-----------------------------------------------------------------
-- E-mail: jerome.darmont@univ-lyon2.fr                        --
-----------------------------------------------------------------

/* 
	TABLE SCHEMA: PURE

	V1, Integer = { 1 | 2 }
	V2, Integer = { 1 | 2 | 3 }
	VP, Integer, Integer = { 1 | 2 }, Class attribute
*/
	
create table pure ( v1 number(1),
		    v2 number(1),
	       	    vp number(1));

insert into pure values(1, 1, 1);
insert into pure values(1, 1, 1);
insert into pure values(2, 1, 2);
insert into pure values(2, 1, 2);
insert into pure values(2, 1, 2);
insert into pure values(1, 2, 1);
insert into pure values(2, 2, 2);
insert into pure values(2, 2, 2);
insert into pure values(1, 3, 1);
insert into pure values(2, 3, 2);
insert into pure values(1, 3, 1);
