-----------------------------------------------------------------
-- Procedure BuildTree                                         --
-----------------------------------------------------------------
-- Builds a decision tree using the ID3 method (Quinlan, 1986) --
-----------------------------------------------------------------
-- PURE sample dataset: Decision tree display                  --
-----------------------------------------------------------------
-- (c) 2001 J. Darmont, ERIC, University of Lyon 2             --
-----------------------------------------------------------------
-- E-mail: jerome.darmont@univ-lyon2.fr                        --
-----------------------------------------------------------------

SELECT	LEVEL,
	node,
	parent,
	rule,
	VP_1,
	SUBSTR(TO_CHAR(ROUND(100*VP_1/(VP_1+VP_2),0))||'%',1,4) P1,
	VP_2,
	SUBSTR(TO_CHAR(ROUND(100*VP_2/(VP_1+VP_2),0))||'%',1,4) P2
FROM &result_table_name
CONNECT BY PRIOR node=parent
START WITH node=0;