-----------------------------------------------------------------
-- Procedure BuildTree                                         --
-----------------------------------------------------------------
-- Builds a decision tree using the ID3 method (Quinlan, 1986) --
-----------------------------------------------------------------
-- TITANIC sample dataset: Decision tree display               --
-----------------------------------------------------------------
-- (c) 2001 J. Darmont, ERIC, University of Lyon 2             --
-----------------------------------------------------------------
-- E-mail: jerome.darmont@univ-lyon2.fr                        --
-----------------------------------------------------------------

SELECT	LEVEL,
	node,
	parent,
	rule,
	survivor_NO,
	SUBSTR(TO_CHAR(ROUND(100*survivor_NO/(survivor_NO+survivor_YES),0))||'%',1,4) P_NO,
	survivor_YES,
	SUBSTR(TO_CHAR(ROUND(100*survivor_YES/(survivor_NO+survivor_YES),0))||'%',1,5) P_YES
FROM &result_table_name
CONNECT BY PRIOR node=parent
START WITH node=0;
